### Function

# GLib markup_vprintf_escaped

since: 2.4

#### Declaration [src]

    gchar*
    g_markup_vprintf_escaped (
      const char* format,
      va_list args
    )

#### Description [src]

Formats the data in `args` according to `format`, escaping all string and character arguments in the fashion of g_markup_escape_text(). See g_markup_printf_escaped().

Available since: 2.4

This function is not directly available to language bindings.

#### Parameters

`format`

  Type: `const char*`

  Printf() style format string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`args`

  Type: `va_list`

  Variable argument list, similar to vprintf().

#### Return value

Type: `gchar*`

Newly allocated result from formatting operation. Free with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.